#ifndef _CLI_EOT_COMMAND_H_
#define _CLI_EOT_COMMAND_H_

#include <command/Command.h>
#include <environment/Environment.h>
#include <ast/Statement.h>

namespace cli {

class EOTCommand : public Command {
	std::shared_ptr < Statement > m_command;

public:
	EOTCommand ( ) { }

	CommandResult run ( Environment & /* environment */ ) const override {
		return CommandResult::EOT;
	}
};

} /* namespace cli */

#endif /* _CLI_EOT_COMMAND_H_ */
