/*
 * DataType.h
 *
 *  Created on: Dec 8, 2017
 *      Author: Jan Travnicek
 */

#ifndef _XML_DATA_TYPE_H_
#define _XML_DATA_TYPE_H_

#include <DataType.h>
#include <core/xmlApi.hpp>

namespace core {

template < >
struct xmlApi < DataType > {
	static DataType parse ( ext::deque < sax::Token >::iterator & input );
	static bool first ( const ext::deque < sax::Token >::const_iterator & input );
	static std::string xmlTagName ( );
	static void compose ( ext::deque < sax::Token > & output, const DataType & data );
};

} /* namespace core */

#endif /* _XML_DATA_TYPE_H_ */
