// GraphClasses.hpp
//
//     Created on: 29. 01. 2018
//         Author: Jan Uhlik
//    Modified by:
//
// Copyright (c) 2017 Czech Technical University in Prague | Faculty of Information Technology. All rights reserved.
// Git repository: https://gitlab.fit.cvut.cz/algorithms-library-toolkit/automata-library

#ifndef ALIB2_GRAPHCLASSES_HPP
#define ALIB2_GRAPHCLASSES_HPP

// Graphs
#include "undirected/UndirectedGraph.hpp"
#include "undirected/UndirectedMultiGraph.hpp"
#include "directed/DirectedGraph.hpp"
#include "directed/DirectedMultiGraph.hpp"
#include "mixed/MixedGraph.hpp"
#include "mixed/MixedMultiGraph.hpp"

// Weighted graphs
#include "weighted/WeightedGraphClasses.hpp"


#endif //ALIB2_GRAPHCLASSES_HPP
